<%@page import="java.text.SimpleDateFormat"%>
<%@page import="org.gyun.enity.User"%>
<%@page import="org.gyun.util.Page"%>
<%@page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@taglib prefix="dgy" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="date" uri="http://java.sun.com/jsp/jstl/fmt"%>

<%
	String path = request.getContextPath();
	String basePath = request.getScheme() + "://"
	+ request.getServerName() + ":" + request.getServerPort()
	+ path + "/";
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<base href="<%=basePath%>">

<title>My JSP 'pagetest.jsp' starting page</title>

<meta http-equiv="pragma" content="no-cache">
<meta http-equiv="cache-control" content="no-cache">
<meta http-equiv="expires" content="0">
<meta http-equiv="keywords" content="keyword1,keyword2,keyword3">
<meta http-equiv="description" content="This is my page">
<!--
	<link rel="stylesheet" type="text/css" href="styles.css">
	-->
<!-- 设置样式 -->
<style>
.gray {
	color: gray;
	cursor: text;
	text-decoration: none;
}
</style>
<!-- 删除提示信息 -->
<script type="text/javascript">
	var id = '${param.num}';
	if (id != null && id != undefined && id != "") {
		if (id == 1) {
			alert("删除成功！");
		} else {
			alert("删除失败！");
		}
	}
</script>

</head>
<!-- 测试fmt里的格式化日期标签 -->
<%
	Date d = new Date();
	/* SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd");
	sdf.format(d); */
	pageContext.setAttribute("d", d);
%>

<body>
	<!--判断Page是否为空,如果为空,转发到admin.jsp页面取元素   start-->
	<%
		Page p = (Page) request.getAttribute("page");
		List<User> listUser = null;
		if (null == p) {
			request.getRequestDispatcher("admin.jsp?method=page").forward(
					request, response);
			return;
		}
		listUser = p.getUserList();
		//EL访问作用域
		//map:k-v
		request.setAttribute("reqlu", listUser);
		pageContext.setAttribute("pagelu", listUser);
		session.setAttribute("sesslu", listUser);
		application.setAttribute("applu", listUser);
		//分页的元素的值保存在作用域里 map k-v (page)
		pageContext.setAttribute("totalPage", p.getTotalPage());
		pageContext.setAttribute("currentPage", p.getCurrentPage());
	%>
	<!--判断Page是否为空,如果为空,转发到admin.jsp页面取元素   end-->
	<!--主体内容　start  -->
	<div align="center">
		<!-- 表单　start -->
		<form action="">
			<table border="1">
				<caption>
					<h2>用户信息</h2>
				</caption>
				<tr>
					<th>编号</th>
					<th>姓名</th>
					<th>密码</th>
					<th>上传文件</th>
					<th>备注</th>
					<!-- 增加操作信息 -->
					<th>操作</th>
				</tr>
				<dgy:forEach var="user" items="${reqlu}">
					<tr>
						<td>${user.id}</td>
						<td>${user.uname}</td>
						<td>${user.upass}</td>
						<td>${user.ufile}</td>
						<td>${user.uremark}</td>
						<!-- 新增删除字段 -->
						<td><a
							href="javascript:if(confirm('确认删除吗?'))location='admin.jsp?id=${user.id}&method=del'">删除</a>
						</td>
					</tr>
				</dgy:forEach>
			</table>
		</form>
		<!-- 表单　end -->
		<!-- 封装分页 start-->
		<dgy:import url="rollpage.jsp">
			<dgy:param name="currentPage"
				value="<%=Integer.toString(p.getCurrentPage()) %>"></dgy:param>
			<dgy:param name="totalPage"
				value="<%=Integer.toString(p.getTotalPage()) %>"></dgy:param>
		</dgy:import>
		<!-- 封装分页 end-->
		<!-- 日期格式化 -->
		<date:formatDate value="${d}" pattern="yyyy-MM-dd HH:mm:ss" />
	</div>
	<!--主体内容　end  -->
</body>
</html>
